/*core/css/base.css */
body { background-color: #f8f9fa; }
    .section-title { margin-top: 40px; margin-bottom: 20px; }
    .card-shadow { box-shadow: 0 0 8px rgba(0,0,0,0.05); }

    th, td {
    text-align: center !important;
    vertical-align: middle !important;
    white-space: nowrap;
  }

    table {
      table-layout: auto;
    }
    .is-invalid {
    outline: 2px solid red !important;
    box-shadow: 0 0 5px red;
  }
  .navbar {
    position: sticky;
    top: 0;
    z-index: 1000;
  }
  .user-info {
    font-family: "Roboto", sans-serif;
    font-size: 14px;
    text-align: center;
    color: #333;
  }
  .dash{
    font-family: 'Poppins', sans-serif;
    font-size: 1.25rem; 
    font-weight: 600; 
    color: #ffffff;
    letter-spacing: 0.5px;
  }


/* الهواتف الصغيرة */
@media (max-width: 576px) {
  .navbar { flex-direction: column; }
  .sidebar { display: none; }
  .card-shadow { margin-bottom: 20px; }
}

/* التابلت */
@media (min-width: 577px) and (max-width: 768px) {
  .navbar { flex-direction: row; }
  .sidebar { width: 180px; }
}

/* اللابتوب */
@media (min-width: 769px) and (max-width: 1199px) {
  .navbar { flex-direction: row; }
  .sidebar { width: 220px; }
  .user-info { font-size: 16px; }
}

/* الشاشات الكبيرة */
@media (min-width: 1200px) {
  .container { max-width: 1600px; }
  .sidebar { display: block; width: 300px; }
  .user-info { font-size: 18px; }
}

/* الشاشات الضخمة (4K أو 55 إنش) */
@media (min-width: 1920px) {
  .container { max-width: 1800px; }
  .sidebar { width: 350px; }
  .user-info { font-size: 20px; }
}
